#### Previous topic

scipy.interpolate.spleval

#### Next topic

scipy.interpolate.splmake

# scipy.interpolate.spline

`scipy.interpolate.``spline`(xk, yk, xnew, order=3, kind='smoothest', conds=None)

  Interpolate a curve at new points using a spline fit

  Parameters:

  xk, yk : array_like

  > The x and y values that define the curve.

  xnew : array_like

  > The x values where spline should estimate the y values.

  order : int

  > Default is 3.

  kind : string

  > One of {‘smoothest’}

  conds : Don’t know

  > Don’t know

  Returns:

  spline : ndarray

  > An array of y values; the spline evaluated at the positions xnew.